ipptool(1)

NOME
ipptool - executa pedidos de protocolo de impressão de internet

RESUMO
ipptool [ --help ] [ --ippserver filename ] [ --stop-after-include-error ] [ --version ] [ -4 ] [ -6 ] [ -C ] [ -E ] [ -I ] [ -L ] [ -P filename.plist ] [ -S ] [ -T seconds ] [ -V version ] [ -X ] [ -c ] [ -d name=value ] [ -f filename ] [ -h ] [ -i seconds ] [ -j ] [ -n repeat-count ] [ -q ] [ -t ] [ -v ] printer-uri testfile [ ... testfile ]

DESCRIÇÃO
ipptool envia pedidos IPP para o printer-uri especificado e testa e/ou mostra os resultados. Cada testfile nomeado define um ou mais pedidos, incluindo o estado de resposta esperado, atributos, e valores. O resultado é um relatório ou em texto simples, texto formatado, CSV, ou XML na saída standard, com um estado de saída não-zero a indicar que um ou mais testes falharam. O formato de testfile está descrito em ipptoolfile(5).

OPÇÕES
As seguintes opções são reconhecidas pelo ipptool:

--help
    Mostra ajuda do programa.

--ippserver filename
    Especifica que os resultados de teste devem ser escritos no ficheiro de atributos do ippserver nomeado.

--stop-after-include-error
    Diz ao ipptool para parar se ocorrer um erro num ficheiro incluído. Normalmente o ipptool irá continuar com testes subsequentes após a directiva INCLUDE.

--version
    Mostra a versão do ipptool a ser usado.

-4  Especifica que o ipptool deve ligar à impressora ou servidor usando IPv4.

-6  Especifica que o ipptool deve ligar à impressora ou servidor usando IPv6.

-C  Especifica que os pedidos devem ser enviados usando o cabeçalho HTTP/1.1 "Transfer-Encoding: chunked", o qual é necessário para conformidade por todas as versões de IPP. A predefinição é usar "Transfer-Encoding: chunked" para pedidos com ficheiros anexados e "Content-Length:" para pedidos sem ficheiros anexados.

-E  Força encriptação TLS ao ligar ao servidor usando o cabeçalho HTTP "Upgrade".

-I  Especifica que o ipptool irá continuar após erros.

-L  Especifica que os pedidos devem ser enviados usando o cabeçalho HTTP/1.0 "Content-Length:", o qual é necessário para conformidade por todas as versões de IPP. A predefinição é usar "Transfer-Encoding: chunked" para pedidos com ficheiros anexados e "Content-Length:" para pedidos sem ficheiros anexados.

-P filename.plist
    Especifica que os resultados de teste devem ser escritos no ficheiro XML nomeado (Apple plist) adicionalmente ao relatório de teste regular (-t). Esta opção é incompatível com as opções -i (intervalo) e -n (contagem-de-repetição).

-S  Força encriptação TLS (dedicada) ao ligar ao servidor.

-T seconds
    Especifica o tempo limite para pedidos IPP em segundos-

-V version
    Especifica a versão IPP predefinida a usar: 1.0, 1.1, 2.0, 2.1, ou 2.2. Se não for especificada, é usada a versão 1.1.

-X  Especifica que é desejado resultado em XML (Apple plist)em vez de relatório em texto simples. Esta opção é incompatível com as opções -i (intervalo) e -n (contagem-de-repetição).

-c  Especifica que é desejado resultado em CSV (valores separados-por-vírgula) em vez de resultado em texto simples.

-d name=value
    Define a variável nomeada.

-f filename
    Define o nome de ficheiro de pedido predefinido para testes.

-h  Valida cabeçalhos de resposta HTTP.

-i seconds
    Especifica que o (último) testfile deve ser repetido no intervalo especificado. Esta opção é incompatível com a opção -X (resultado em XML plist).

-j  Especifica que o ipptool irá produzir resultados JSON.

-l  Especifica que é desejado resultados em texto simples.

-n repeat-count
    Especifica que o (último) testfile deve ser repetido o número de vezes especificado Esta opção é incompatível com a opção -X (resultado em XML plist).

-q  Fica calado e não produz nenhuma saída.

-t  Especifica que é desejado resultado de teste do CUPS em vez de resultado em texto simples.

-v  Especifica que todos os atributos de pedido e resposta devem estar em saída de modo de teste do CUPS (-t). Esta é a predefinição para saída XML.

ESTADO DE SAÍDA
O programa ipptool retorna 0 se todos os testes tiverem sucesso e 1 caso contrário.

FICHEIROS
Os seguintes ficheiros standard estão disponíveis:

    color.jpg
    create-printer-subscription.test
    document-a4.pdf
    document-a4.ps
    document-letter.pdf
    document-letter.ps
    get-completed-jobs.test
    get-jobs.test
    get-notifications.test
    get-printer-attributes.test
    get-subscriptions.test
    gray.jpg
    ipp-1.1.test
    ipp-2.0.test
    ipp-2.1.test
    ipp-2.2.test
    ipp-everywhere.test
    onepage-a4.pdf
    onepage-a4.ps
    onepage-letter.pdf
    onepage-letter.ps
    print-job.test
    print-job-deflate.test
    print-job-gzip.test
    testfile.jpg
    testfile.pcl
    testfile.pdf
    testfile.ps
    testfile.txt
    validate-job.test

DE ACORDO COM
O programa ipptool é único do CUPS e está em conformidade com Internet Printing Protocol até à versão 2.2.

EXEMPLOS
Obter uma lista de trabalhos completados para "myprinter":

    ipptool ipp://localhost/printers/myprinter get-completed-jobs.test

Enviar notificações por email para "user@example.com" quando "myprinter" mudar:

    ipptool -d recipient=mailto:user@example.com \
        ipp://localhost/printers/myprinter create-printer-subscription.test

VEJA TAMBÉM
ipptoolfile(5), IANA IPP Registry (https://www.iana.org/assignments/ipp-registrations), PWG Internet Printing Protocol Workgroup (https://www.pwg.org/ipp) RFC 8011 (https://datatracker.ietf.org/doc/html/rfc8011),

COPYRIGHT
Copyright © 2021-2023 by OpenPrinting.